%define version 0.31
%define name gnubile
%define release 3mdk

Name:%{name}
Summary:Gtk client for the gnutella protocol
Version:%{version}
Release:%{release}
Copyright:GPL
Group:	Networking/File transfer
Source:	%{name}-%{version}-pre.tar.bz2
URL:	http://gnutella.wego.com
BuildRoot:%{_tmppath}/%{name}-buildroot

%description
Thanks for trying out the second pre-release of Gnubile.  It's still raw,
but we're working hard to get it to a stable and fully-usable state.
Right now it routes packets and allows you to search and download.  We
figured it was enough to get it out there and start getting feedback.
Hopefully you agree. Sorry it leaks memory and does not allow you to share
your files.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n gnubile-%{version}-pre

%build

export CC="kgcc"
export CXX="kg++"   

./configure --prefix=%{prefix} --mandir=%{_mandir}    

make


%install
%makeinstall
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/gnubile
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/gnubile/pixmaps

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gnubile"\
title="Gnubile"\
longtitle="gnutella client"\
needs="x11"\
section="Networking/File transfer"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus}  


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS README
%{_bindir}/*
%dir %{_datadir}/gnubile
%dir %{_datadir}/gnubile/pixmaps

%changelog
* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.31-3mdk 
- rebuild & fic build


* Fri Sep 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.31-2mdk
- macros
- BM
- menu

* Mon May 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.31-1mdk
- clean spec
- uew in contribs
- added doc

* Mon Apr 17 2000 William Stearns <wstearns@pobox.com>
- Updated source to 0.30-pre
- Updated to 0.13-pre with new arc4random replacement
 
* Sat Apr 15 2000 William Stearns <wstearns@pobox.com>
- Updated source to 0.22-pre
  
* Thu Apr 13 2000 William Stearns <wstearns@pobox.com>
- first rpm.  
